Bitcoin Forum
December 18, 2017, 07:14:20 PM *
News: Latest stable version of Bitcoin Core: 0.15.1  [Torrent].
 
   Home   Help Search Donate Login Register  
Pages: [1]
  Print  
Author Topic: Help: compile bitcoind on Angstrom Beaglebone Black  (Read 1219 times)
appamalk
Newbie
*
Offline Offline

Activity: 5


View Profile
February 21, 2014, 05:54:17 AM
 #1

Angstrom is great and all, but the lack of libraries is driving me nuts.
I can't find a good "howto" online so I'm asking directly
I believe my compile is stuck on the fact that none of these libs are availble to the "opkg install"
Dependencies
---------------------
 Library     Purpose           Description
 -------     -------           -----------
 libssl      SSL Support       Secure communications
 libdb4.8    Berkeley DB       Wallet storage
 libboost    Boost             C++ Library
 miniupnpc   UPnP Support      Optional firewall-jumping support
 qt          GUI               GUI toolkit
 protobuf    Payments in GUI   Data interchange format used for payment protocol
 libqrencode QR codes in GUI   Optional for generating QR codes\

Does anyone know a better way to approach this?  I've got just about everything else
1513624460
Hero Member
*
Offline Offline

Posts: 1513624460

View Profile Personal Message (Offline)

Ignore
1513624460
Reply with quote  #2

1513624460
Report to moderator
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1513624460
Hero Member
*
Offline Offline

Posts: 1513624460

View Profile Personal Message (Offline)

Ignore
1513624460
Reply with quote  #2

1513624460
Report to moderator
HellDiverUK
Hero Member
*****
Offline Offline

Activity: 658



View Profile
February 21, 2014, 04:20:14 PM
 #2

Angstrom is great and all, but the lack of libraries is driving me nuts.
[...]
Does anyone know a better way to approach this?  I've got just about everything else

Yeah, put Debian on your BeagleBone Black.  I run Debian Wheezy on my Black, and it's simple, and it works.  I'm even running it off the eMMC, so no farting about with the SD Card.

| 
 
50
| 




                       ▄
           ▄▄▄▄▄▄███████
▄▄▄▄█████  █████████████
█████████  █████████████
█████████  █████████████
█████████  █████████████
█████████  █████████████
█████████  █████████████

█████████  █████████████
█████████  █████████████
█████████  █████████████
█████████  █████████████
█████████  █████████████
▀▀▀▀█████  █████████████
           ▀▀▀▀▀▀███████
                       ▀
| 
 
$1,5 M
|


        ▄▄▄█████████▄▄▄
      ▄█████▀▀███▀▀█████▄
    ▄███▀     ███     ▀███▄
   ████       ███       ████
  ███▀                   ▀███
 ███▀                     ▀███
▄██▀       █████████       ▀██▄
███                         ███
███        █████████        ███
███                         ███
▀██▄       █████████       ▄██▀
 ███▄                     ▄███
  ███▄                   ▄███
   ████       ███       ████
    ▀███▄     ███     ▄███▀
      ▀█████▄▄███▄▄█████▀
        ▀▀▀█████████▀▀▀
 
|
 
<>
<>
<>
<>
 
GITHUB
TWITTER
YOUTUBE
FACEBOOK
appamalk
Newbie
*
Offline Offline

Activity: 5


View Profile
February 22, 2014, 02:27:04 AM
 #3

That was plan B.  Sad part is I got so much running on Angstrom, it feels a shame after all the work.

Thanks for the reply. Smiley
Pages: [1]
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!